[svn-upgrade] new version bti (029)
[debian/bti.git] / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 pkglibdir = $(libdir)/@PACKAGE@
23 pkglibexecdir = $(libexecdir)/@PACKAGE@
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 bin_PROGRAMS = bti$(EXEEXT)
37 subdir = .
38 DIST_COMMON = README $(am__configure_deps) $(dist_man_MANS) \
39         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
40         $(top_srcdir)/configure COPYING ChangeLog depcomp install-sh \
41         missing
42 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
43 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
44 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
45         $(ACLOCAL_M4)
46 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
47  configure.lineno config.status.lineno
48 mkinstalldirs = $(install_sh) -d
49 CONFIG_CLEAN_FILES =
50 CONFIG_CLEAN_VPATH_FILES =
51 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" \
52         "$(DESTDIR)$(man1dir)"
53 PROGRAMS = $(bin_PROGRAMS)
54 am_bti_OBJECTS = bti-config.$(OBJEXT) bti-bti.$(OBJEXT)
55 bti_OBJECTS = $(am_bti_OBJECTS)
56 am__DEPENDENCIES_1 =
57 bti_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
58         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
59 bti_LINK = $(CCLD) $(bti_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o \
60         $@
61 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
62 am__vpath_adj = case $$p in \
63     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
64     *) f=$$p;; \
65   esac;
66 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
67 am__install_max = 40
68 am__nobase_strip_setup = \
69   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
70 am__nobase_strip = \
71   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
72 am__nobase_list = $(am__nobase_strip_setup); \
73   for p in $$list; do echo "$$p $$p"; done | \
74   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
75   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
76     if (++n[$$2] == $(am__install_max)) \
77       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
78     END { for (dir in files) print dir, files[dir] }'
79 am__base_list = \
80   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
81   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
82 SCRIPTS = $(bin_SCRIPTS)
83 DEFAULT_INCLUDES = -I.@am__isrc@
84 depcomp = $(SHELL) $(top_srcdir)/depcomp
85 am__depfiles_maybe = depfiles
86 am__mv = mv -f
87 AM_V_lt = $(am__v_lt_$(V))
88 am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
89 am__v_lt_0 = --silent
90 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
91         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
92 AM_V_CC = $(am__v_CC_$(V))
93 am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
94 am__v_CC_0 = @echo "  CC    " $@;
95 AM_V_at = $(am__v_at_$(V))
96 am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
97 am__v_at_0 = @
98 CCLD = $(CC)
99 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
100 AM_V_CCLD = $(am__v_CCLD_$(V))
101 am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
102 am__v_CCLD_0 = @echo "  CCLD  " $@;
103 AM_V_GEN = $(am__v_GEN_$(V))
104 am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
105 am__v_GEN_0 = @echo "  GEN   " $@;
106 SOURCES = $(bti_SOURCES)
107 DIST_SOURCES = $(bti_SOURCES)
108 man1dir = $(mandir)/man1
109 NROFF = nroff
110 MANS = $(dist_man_MANS)
111 ETAGS = etags
112 CTAGS = ctags
113 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
114 distdir = $(PACKAGE)-$(VERSION)
115 top_distdir = $(distdir)
116 am__remove_distdir = \
117   { test ! -d "$(distdir)" \
118     || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
119          && rm -fr "$(distdir)"; }; }
120 DIST_ARCHIVES = $(distdir).tar.gz
121 GZIP_ENV = --best
122 distuninstallcheck_listfiles = find . -type f -print
123 distcleancheck_listfiles = find . -type f -print
124 ACLOCAL = @ACLOCAL@
125 AMTAR = @AMTAR@
126 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
127 AUTOCONF = @AUTOCONF@
128 AUTOHEADER = @AUTOHEADER@
129 AUTOMAKE = @AUTOMAKE@
130 AWK = @AWK@
131 CC = @CC@
132 CCDEPMODE = @CCDEPMODE@
133 CFLAGS = @CFLAGS@
134 CPPFLAGS = @CPPFLAGS@
135 CYGPATH_W = @CYGPATH_W@
136 DEFS = @DEFS@
137 DEPDIR = @DEPDIR@
138 ECHO_C = @ECHO_C@
139 ECHO_N = @ECHO_N@
140 ECHO_T = @ECHO_T@
141 EXEEXT = @EXEEXT@
142 INSTALL = @INSTALL@
143 INSTALL_DATA = @INSTALL_DATA@
144 INSTALL_PROGRAM = @INSTALL_PROGRAM@
145 INSTALL_SCRIPT = @INSTALL_SCRIPT@
146 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
147 LDFLAGS = @LDFLAGS@
148 LIBCURL_CFLAGS = @LIBCURL_CFLAGS@
149 LIBCURL_LIBS = @LIBCURL_LIBS@
150 LIBOAUTH_CFLAGS = @LIBOAUTH_CFLAGS@
151 LIBOAUTH_LIBS = @LIBOAUTH_LIBS@
152 LIBOBJS = @LIBOBJS@
153 LIBPCRE_CFLAGS = @LIBPCRE_CFLAGS@
154 LIBPCRE_LIBS = @LIBPCRE_LIBS@
155 LIBS = @LIBS@
156 LTLIBOBJS = @LTLIBOBJS@
157 MAKEINFO = @MAKEINFO@
158 MKDIR_P = @MKDIR_P@
159 OBJEXT = @OBJEXT@
160 PACKAGE = @PACKAGE@
161 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
162 PACKAGE_NAME = @PACKAGE_NAME@
163 PACKAGE_STRING = @PACKAGE_STRING@
164 PACKAGE_TARNAME = @PACKAGE_TARNAME@
165 PACKAGE_URL = @PACKAGE_URL@
166 PACKAGE_VERSION = @PACKAGE_VERSION@
167 PATH_SEPARATOR = @PATH_SEPARATOR@
168 PKG_CONFIG = @PKG_CONFIG@
169 SET_MAKE = @SET_MAKE@
170 SHELL = @SHELL@
171 STRIP = @STRIP@
172 VERSION = @VERSION@
173 XML_CFLAGS = @XML_CFLAGS@
174 XML_LIBS = @XML_LIBS@
175 XSLTPROC = @XSLTPROC@
176 abs_builddir = @abs_builddir@
177 abs_srcdir = @abs_srcdir@
178 abs_top_builddir = @abs_top_builddir@
179 abs_top_srcdir = @abs_top_srcdir@
180 ac_ct_CC = @ac_ct_CC@
181 am__include = @am__include@
182 am__leading_dot = @am__leading_dot@
183 am__quote = @am__quote@
184 am__tar = @am__tar@
185 am__untar = @am__untar@
186 bindir = @bindir@
187 build_alias = @build_alias@
188 builddir = @builddir@
189 datadir = @datadir@
190 datarootdir = @datarootdir@
191 docdir = @docdir@
192 dvidir = @dvidir@
193 exec_prefix = @exec_prefix@
194 host_alias = @host_alias@
195 htmldir = @htmldir@
196 includedir = @includedir@
197 infodir = @infodir@
198 install_sh = @install_sh@
199 libdir = @libdir@
200 libexecdir = @libexecdir@
201 localedir = @localedir@
202 localstatedir = @localstatedir@
203 mandir = @mandir@
204 mkdir_p = @mkdir_p@
205 oldincludedir = @oldincludedir@
206 pdfdir = @pdfdir@
207 prefix = @prefix@
208 program_transform_name = @program_transform_name@
209 psdir = @psdir@
210 sbindir = @sbindir@
211 sharedstatedir = @sharedstatedir@
212 srcdir = @srcdir@
213 sysconfdir = @sysconfdir@
214 target_alias = @target_alias@
215 top_build_prefix = @top_build_prefix@
216 top_builddir = @top_builddir@
217 top_srcdir = @top_srcdir@
218 bin_SCRIPTS = \
219         bti-shrink-urls
220
221 bti_SOURCES = \
222         bti.h \
223         config.c \
224         bti.c
225
226 bti_CFLAGS = \
227         $(LIBCURL_CFLAGS) \
228         $(XML_CFLAGS) \
229         $(LIBPCRE_CFLAGS) \
230         $(LIBOAUTH_CFLAGS)
231
232 bti_LDADD = \
233         $(LIBCURL_LIBS) \
234         $(XML_LIBS) \
235         $(LIBPCRE_LIBS) \
236         $(LIBOAUTH_LIBS)
237
238 dist_man_MANS = \
239         bti.1 \
240         bti-shrink-urls.1
241
242 EXTRA_DIST = \
243         bti.xml \
244         bti-shrink-urls.xml \
245         bti.example \
246         bti-bashcompletion \
247         RELEASE-NOTES \
248         bti-shrink-urls
249
250 MAINTAINERCLEANFILES = \
251         $(dist_man_MANS)
252
253 PREVIOUS_VERSION = 0`expr $(VERSION) - 1`
254 AUTOMAKE_OPTIONS = foreign
255 all: all-am
256
257 .SUFFIXES:
258 .SUFFIXES: .c .o .obj
259 am--refresh:
260         @:
261 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
262         @for dep in $?; do \
263           case '$(am__configure_deps)' in \
264             *$$dep*) \
265               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
266               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
267                 && exit 0; \
268               exit 1;; \
269           esac; \
270         done; \
271         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
272         $(am__cd) $(top_srcdir) && \
273           $(AUTOMAKE) --foreign Makefile
274 .PRECIOUS: Makefile
275 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
276         @case '$?' in \
277           *config.status*) \
278             echo ' $(SHELL) ./config.status'; \
279             $(SHELL) ./config.status;; \
280           *) \
281             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
282             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
283         esac;
284
285 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
286         $(SHELL) ./config.status --recheck
287
288 $(top_srcdir)/configure:  $(am__configure_deps)
289         $(am__cd) $(srcdir) && $(AUTOCONF)
290 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
291         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
292 $(am__aclocal_m4_deps):
293 install-binPROGRAMS: $(bin_PROGRAMS)
294         @$(NORMAL_INSTALL)
295         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
296         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
297         for p in $$list; do echo "$$p $$p"; done | \
298         sed 's/$(EXEEXT)$$//' | \
299         while read p p1; do if test -f $$p; \
300           then echo "$$p"; echo "$$p"; else :; fi; \
301         done | \
302         sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
303             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
304         sed 'N;N;N;s,\n, ,g' | \
305         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
306           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
307             if ($$2 == $$4) files[d] = files[d] " " $$1; \
308             else { print "f", $$3 "/" $$4, $$1; } } \
309           END { for (d in files) print "f", d, files[d] }' | \
310         while read type dir files; do \
311             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
312             test -z "$$files" || { \
313               echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
314               $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
315             } \
316         ; done
317
318 uninstall-binPROGRAMS:
319         @$(NORMAL_UNINSTALL)
320         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
321         files=`for p in $$list; do echo "$$p"; done | \
322           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
323               -e 's/$$/$(EXEEXT)/' `; \
324         test -n "$$list" || exit 0; \
325         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
326         cd "$(DESTDIR)$(bindir)" && rm -f $$files
327
328 clean-binPROGRAMS:
329         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
330 bti$(EXEEXT): $(bti_OBJECTS) $(bti_DEPENDENCIES) 
331         @rm -f bti$(EXEEXT)
332         $(AM_V_CCLD)$(bti_LINK) $(bti_OBJECTS) $(bti_LDADD) $(LIBS)
333 install-binSCRIPTS: $(bin_SCRIPTS)
334         @$(NORMAL_INSTALL)
335         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
336         @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
337         for p in $$list; do \
338           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
339           if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
340         done | \
341         sed -e 'p;s,.*/,,;n' \
342             -e 'h;s|.*|.|' \
343             -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
344         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
345           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
346             if ($$2 == $$4) { files[d] = files[d] " " $$1; \
347               if (++n[d] == $(am__install_max)) { \
348                 print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
349             else { print "f", d "/" $$4, $$1 } } \
350           END { for (d in files) print "f", d, files[d] }' | \
351         while read type dir files; do \
352              if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
353              test -z "$$files" || { \
354                echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
355                $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
356              } \
357         ; done
358
359 uninstall-binSCRIPTS:
360         @$(NORMAL_UNINSTALL)
361         @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
362         files=`for p in $$list; do echo "$$p"; done | \
363                sed -e 's,.*/,,;$(transform)'`; \
364         test -n "$$list" || exit 0; \
365         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
366         cd "$(DESTDIR)$(bindir)" && rm -f $$files
367
368 mostlyclean-compile:
369         -rm -f *.$(OBJEXT)
370
371 distclean-compile:
372         -rm -f *.tab.c
373
374 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bti-bti.Po@am__quote@
375 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bti-config.Po@am__quote@
376
377 .c.o:
378 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
379 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
380 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
381 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
382 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
383 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
384
385 .c.obj:
386 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
387 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
388 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
389 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
390 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
391 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
392
393 bti-config.o: config.c
394 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bti_CFLAGS) $(CFLAGS) -MT bti-config.o -MD -MP -MF $(DEPDIR)/bti-config.Tpo -c -o bti-config.o `test -f 'config.c' || echo '$(srcdir)/'`config.c
395 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/bti-config.Tpo $(DEPDIR)/bti-config.Po
396 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
397 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='config.c' object='bti-config.o' libtool=no @AMDEPBACKSLASH@
398 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
399 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bti_CFLAGS) $(CFLAGS) -c -o bti-config.o `test -f 'config.c' || echo '$(srcdir)/'`config.c
400
401 bti-config.obj: config.c
402 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bti_CFLAGS) $(CFLAGS) -MT bti-config.obj -MD -MP -MF $(DEPDIR)/bti-config.Tpo -c -o bti-config.obj `if test -f 'config.c'; then $(CYGPATH_W) 'config.c'; else $(CYGPATH_W) '$(srcdir)/config.c'; fi`
403 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/bti-config.Tpo $(DEPDIR)/bti-config.Po
404 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
405 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='config.c' object='bti-config.obj' libtool=no @AMDEPBACKSLASH@
406 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
407 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bti_CFLAGS) $(CFLAGS) -c -o bti-config.obj `if test -f 'config.c'; then $(CYGPATH_W) 'config.c'; else $(CYGPATH_W) '$(srcdir)/config.c'; fi`
408
409 bti-bti.o: bti.c
410 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bti_CFLAGS) $(CFLAGS) -MT bti-bti.o -MD -MP -MF $(DEPDIR)/bti-bti.Tpo -c -o bti-bti.o `test -f 'bti.c' || echo '$(srcdir)/'`bti.c
411 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/bti-bti.Tpo $(DEPDIR)/bti-bti.Po
412 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
413 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bti.c' object='bti-bti.o' libtool=no @AMDEPBACKSLASH@
414 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
415 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bti_CFLAGS) $(CFLAGS) -c -o bti-bti.o `test -f 'bti.c' || echo '$(srcdir)/'`bti.c
416
417 bti-bti.obj: bti.c
418 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bti_CFLAGS) $(CFLAGS) -MT bti-bti.obj -MD -MP -MF $(DEPDIR)/bti-bti.Tpo -c -o bti-bti.obj `if test -f 'bti.c'; then $(CYGPATH_W) 'bti.c'; else $(CYGPATH_W) '$(srcdir)/bti.c'; fi`
419 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/bti-bti.Tpo $(DEPDIR)/bti-bti.Po
420 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
421 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bti.c' object='bti-bti.obj' libtool=no @AMDEPBACKSLASH@
422 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
423 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bti_CFLAGS) $(CFLAGS) -c -o bti-bti.obj `if test -f 'bti.c'; then $(CYGPATH_W) 'bti.c'; else $(CYGPATH_W) '$(srcdir)/bti.c'; fi`
424 install-man1: $(dist_man_MANS)
425         @$(NORMAL_INSTALL)
426         test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
427         @list=''; test -n "$(man1dir)" || exit 0; \
428         { for i in $$list; do echo "$$i"; done; \
429         l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
430           sed -n '/\.1[a-z]*$$/p'; \
431         } | while read p; do \
432           if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
433           echo "$$d$$p"; echo "$$p"; \
434         done | \
435         sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
436               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
437         sed 'N;N;s,\n, ,g' | { \
438         list=; while read file base inst; do \
439           if test "$$base" = "$$inst"; then list="$$list $$file"; else \
440             echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
441             $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
442           fi; \
443         done; \
444         for i in $$list; do echo "$$i"; done | $(am__base_list) | \
445         while read files; do \
446           test -z "$$files" || { \
447             echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
448             $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
449         done; }
450
451 uninstall-man1:
452         @$(NORMAL_UNINSTALL)
453         @list=''; test -n "$(man1dir)" || exit 0; \
454         files=`{ for i in $$list; do echo "$$i"; done; \
455         l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
456           sed -n '/\.1[a-z]*$$/p'; \
457         } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
458               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
459         test -z "$$files" || { \
460           echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
461           cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
462
463 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
464         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
465         unique=`for i in $$list; do \
466             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
467           done | \
468           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
469               END { if (nonempty) { for (i in files) print i; }; }'`; \
470         mkid -fID $$unique
471 tags: TAGS
472
473 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
474                 $(TAGS_FILES) $(LISP)
475         set x; \
476         here=`pwd`; \
477         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
478         unique=`for i in $$list; do \
479             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
480           done | \
481           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
482               END { if (nonempty) { for (i in files) print i; }; }'`; \
483         shift; \
484         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
485           test -n "$$unique" || unique=$$empty_fix; \
486           if test $$# -gt 0; then \
487             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
488               "$$@" $$unique; \
489           else \
490             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
491               $$unique; \
492           fi; \
493         fi
494 ctags: CTAGS
495 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
496                 $(TAGS_FILES) $(LISP)
497         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
498         unique=`for i in $$list; do \
499             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
500           done | \
501           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
502               END { if (nonempty) { for (i in files) print i; }; }'`; \
503         test -z "$(CTAGS_ARGS)$$unique" \
504           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
505              $$unique
506
507 GTAGS:
508         here=`$(am__cd) $(top_builddir) && pwd` \
509           && $(am__cd) $(top_srcdir) \
510           && gtags -i $(GTAGS_ARGS) "$$here"
511
512 distclean-tags:
513         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
514
515 distdir: $(DISTFILES)
516         @list='$(MANS)'; if test -n "$$list"; then \
517           list=`for p in $$list; do \
518             if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
519             if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
520           if test -n "$$list" && \
521             grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
522             echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
523             grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
524             echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
525             echo "       typically \`make maintainer-clean' will remove them" >&2; \
526             exit 1; \
527           else :; fi; \
528         else :; fi
529         $(am__remove_distdir)
530         test -d "$(distdir)" || mkdir "$(distdir)"
531         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
532         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
533         list='$(DISTFILES)'; \
534           dist_files=`for file in $$list; do echo $$file; done | \
535           sed -e "s|^$$srcdirstrip/||;t" \
536               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
537         case $$dist_files in \
538           */*) $(MKDIR_P) `echo "$$dist_files" | \
539                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
540                            sort -u` ;; \
541         esac; \
542         for file in $$dist_files; do \
543           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
544           if test -d $$d/$$file; then \
545             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
546             if test -d "$(distdir)/$$file"; then \
547               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
548             fi; \
549             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
550               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
551               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
552             fi; \
553             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
554           else \
555             test -f "$(distdir)/$$file" \
556             || cp -p $$d/$$file "$(distdir)/$$file" \
557             || exit 1; \
558           fi; \
559         done
560         -test -n "$(am__skip_mode_fix)" \
561         || find "$(distdir)" -type d ! -perm -755 \
562                 -exec chmod u+rwx,go+rx {} \; -o \
563           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
564           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
565           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
566         || chmod -R a+r "$(distdir)"
567 dist-gzip: distdir
568         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
569         $(am__remove_distdir)
570
571 dist-bzip2: distdir
572         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
573         $(am__remove_distdir)
574
575 dist-lzma: distdir
576         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
577         $(am__remove_distdir)
578
579 dist-xz: distdir
580         tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
581         $(am__remove_distdir)
582
583 dist-tarZ: distdir
584         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
585         $(am__remove_distdir)
586
587 dist-shar: distdir
588         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
589         $(am__remove_distdir)
590
591 dist-zip: distdir
592         -rm -f $(distdir).zip
593         zip -rq $(distdir).zip $(distdir)
594         $(am__remove_distdir)
595
596 dist dist-all: distdir
597         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
598         $(am__remove_distdir)
599
600 # This target untars the dist file and tries a VPATH configuration.  Then
601 # it guarantees that the distribution is self-contained by making another
602 # tarfile.
603 distcheck: dist
604         case '$(DIST_ARCHIVES)' in \
605         *.tar.gz*) \
606           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
607         *.tar.bz2*) \
608           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
609         *.tar.lzma*) \
610           lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
611         *.tar.xz*) \
612           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
613         *.tar.Z*) \
614           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
615         *.shar.gz*) \
616           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
617         *.zip*) \
618           unzip $(distdir).zip ;;\
619         esac
620         chmod -R a-w $(distdir); chmod a+w $(distdir)
621         mkdir $(distdir)/_build
622         mkdir $(distdir)/_inst
623         chmod a-w $(distdir)
624         test -d $(distdir)/_build || exit 0; \
625         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
626           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
627           && am__cwd=`pwd` \
628           && $(am__cd) $(distdir)/_build \
629           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
630             $(DISTCHECK_CONFIGURE_FLAGS) \
631           && $(MAKE) $(AM_MAKEFLAGS) \
632           && $(MAKE) $(AM_MAKEFLAGS) dvi \
633           && $(MAKE) $(AM_MAKEFLAGS) check \
634           && $(MAKE) $(AM_MAKEFLAGS) install \
635           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
636           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
637           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
638                 distuninstallcheck \
639           && chmod -R a-w "$$dc_install_base" \
640           && ({ \
641                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
642                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
643                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
644                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
645                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
646               } || { rm -rf "$$dc_destdir"; exit 1; }) \
647           && rm -rf "$$dc_destdir" \
648           && $(MAKE) $(AM_MAKEFLAGS) dist \
649           && rm -rf $(DIST_ARCHIVES) \
650           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
651           && cd "$$am__cwd" \
652           || exit 1
653         $(am__remove_distdir)
654         @(echo "$(distdir) archives ready for distribution: "; \
655           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
656           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
657 distuninstallcheck:
658         @$(am__cd) '$(distuninstallcheck_dir)' \
659         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
660            || { echo "ERROR: files left after uninstall:" ; \
661                 if test -n "$(DESTDIR)"; then \
662                   echo "  (check DESTDIR support)"; \
663                 fi ; \
664                 $(distuninstallcheck_listfiles) ; \
665                 exit 1; } >&2
666 distcleancheck: distclean
667         @if test '$(srcdir)' = . ; then \
668           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
669           exit 1 ; \
670         fi
671         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
672           || { echo "ERROR: files left in build directory after distclean:" ; \
673                $(distcleancheck_listfiles) ; \
674                exit 1; } >&2
675 check-am: all-am
676 check: check-am
677 all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(MANS)
678 installdirs:
679         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
680           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
681         done
682 install: install-am
683 install-exec: install-exec-am
684 install-data: install-data-am
685 uninstall: uninstall-am
686
687 install-am: all-am
688         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
689
690 installcheck: installcheck-am
691 install-strip:
692         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
693           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
694           `test -z '$(STRIP)' || \
695             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
696 mostlyclean-generic:
697
698 clean-generic:
699
700 distclean-generic:
701         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
702         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
703
704 maintainer-clean-generic:
705         @echo "This command is intended for maintainers to use"
706         @echo "it deletes files that may require special tools to rebuild."
707         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
708 clean: clean-am
709
710 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
711
712 distclean: distclean-am
713         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
714         -rm -rf ./$(DEPDIR)
715         -rm -f Makefile
716 distclean-am: clean-am distclean-compile distclean-generic \
717         distclean-local distclean-tags
718
719 dvi: dvi-am
720
721 dvi-am:
722
723 html: html-am
724
725 html-am:
726
727 info: info-am
728
729 info-am:
730
731 install-data-am: install-man
732
733 install-dvi: install-dvi-am
734
735 install-dvi-am:
736
737 install-exec-am: install-binPROGRAMS install-binSCRIPTS
738
739 install-html: install-html-am
740
741 install-html-am:
742
743 install-info: install-info-am
744
745 install-info-am:
746
747 install-man: install-man1
748
749 install-pdf: install-pdf-am
750
751 install-pdf-am:
752
753 install-ps: install-ps-am
754
755 install-ps-am:
756
757 installcheck-am:
758
759 maintainer-clean: maintainer-clean-am
760         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
761         -rm -rf $(top_srcdir)/autom4te.cache
762         -rm -rf ./$(DEPDIR)
763         -rm -f Makefile
764 maintainer-clean-am: distclean-am maintainer-clean-generic
765
766 mostlyclean: mostlyclean-am
767
768 mostlyclean-am: mostlyclean-compile mostlyclean-generic
769
770 pdf: pdf-am
771
772 pdf-am:
773
774 ps: ps-am
775
776 ps-am:
777
778 uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS uninstall-man
779
780 uninstall-man: uninstall-man1
781
782 .MAKE: install-am install-strip
783
784 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
785         clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
786         dist-gzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
787         distcheck distclean distclean-compile distclean-generic \
788         distclean-local distclean-tags distcleancheck distdir \
789         distuninstallcheck dvi dvi-am html html-am info info-am \
790         install install-am install-binPROGRAMS install-binSCRIPTS \
791         install-data install-data-am install-dvi install-dvi-am \
792         install-exec install-exec-am install-html install-html-am \
793         install-info install-info-am install-man install-man1 \
794         install-pdf install-pdf-am install-ps install-ps-am \
795         install-strip installcheck installcheck-am installdirs \
796         maintainer-clean maintainer-clean-generic mostlyclean \
797         mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
798         tags uninstall uninstall-am uninstall-binPROGRAMS \
799         uninstall-binSCRIPTS uninstall-man uninstall-man1
800
801
802 %.1: %.xml
803         $(XSLTPROC) -nonet http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<
804
805 git-clean:
806         rm -f Makefile.in
807
808 distclean-local:
809         rm -rf autom4te.cache
810
811 changelog:
812         @ head -1 ChangeLog | grep -q "to v$(PREVIOUS_VERSION)"
813         @ mv ChangeLog ChangeLog.tmp
814         @ echo "Summary of changes from v$(PREVIOUS_VERSION) to v$(VERSION)" >> ChangeLog
815         @ echo "============================================" >> ChangeLog
816         @ echo >> ChangeLog
817         @ git log --pretty=short $(PREVIOUS_VERSION)..HEAD | git shortlog  >> ChangeLog
818         @ echo >> ChangeLog
819         @ cat ChangeLog
820         @ cat ChangeLog.tmp >> ChangeLog
821         @ rm ChangeLog.tmp
822
823 git-release:
824         head -1 ChangeLog | grep -q "to v$(VERSION)"
825         head -1 RELEASE-NOTES | grep -q "bti $(VERSION)"
826         git commit -a -m "release $(VERSION)"
827         cat .git/refs/heads/master > .git/refs/tags/$(VERSION)
828         git gc
829         git prune
830
831 # Tell versions [3.59,3.63) of GNU make to not export all variables.
832 # Otherwise a system limit (for SysV at least) may be exceeded.
833 .NOEXPORT: